> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Queue downgrade billing plan request

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/billing_plan/downgrade
Content-Type: application/json

Queues downgrade billing plan request for an account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/billing/billingplans/updatedowngradeaccountbillingplan

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Body (application/json)

This endpoint expects a downgradeBillingPlanInformation.

- `downgradeEventType` (string, optional)
- `planInformation` (planInformation, optional) — An object used to identify the features and attributes of the account being created.
- `promoCode` (string, optional)
- `saleDiscount` (string, optional)
- `saleDiscountPeriods` (string, optional) — Reserved for Docusign.
- `saleDiscountType` (string, optional)

## Response

### 200

Successful response.

- `accountPaymentMethod` (string, optional) — The type of payment method used for the account. Valid values are: - `credit_card` -
- `discountApplied` (string, optional)
- `downgradeEffectiveDate` (string, optional)
- `downgradePaymentCycle` (string, optional)
- `downgradePlanId` (string, optional)
- `downgradePlanName` (string, optional)
- `downgradeRequestStatus` (string, optional)
- `message` (string, optional)
- `productId` (string, optional) — The Product ID from the AppStore.
- `promoCode` (string, optional)
- `saleDiscount` (string, optional)
- `saleDiscountPeriods` (string, optional) — Reserved for Docusign.
- `saleDiscountType` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### planInformation

An object used to identify the features and attributes of the account being created.

- `addOns` (list of addOn, optional) — Reserved for Docusign.
- `currencyCode` (string, optional) — Specifies the [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code for the account.
- `freeTrialDaysOverride` (string, optional) — Reserved for Docusign.
- `planFeatureSets` (list of featureSet, optional) — Reserved for Docusign.
- `planId` (string, optional) — Docusign's ID for the account plan.
- `recipientDomains` (list of recipientDomain, optional)

### addOn

Contains information about add ons.

- `active` (string, optional) — Reserved for Docusign.
- `addOnId` (string, optional) — Reserved for Docusign.
- `id` (string, optional) — A unique ID for the Salesforce object.
- `name` (string, optional) — Reserved for Docusign.

### featureSet

This object provides details about a feature set, or add-on product that is associated with an account. It is reserved for DocuSign internal use only.

- `currencyFeatureSetPrices` (list of currencyFeatureSetPrice, optional) — Reserved for Docusign.
- `envelopeFee` (string, optional) — Reserved for Docusign.
- `featureSetId` (string, optional) — Reserved for Docusign.
- `fixedFee` (string, optional) — Reserved for Docusign.
- `is21CFRPart11` (string, optional) — Reserved for Docusign.
- `isActive` (string, optional) — Reserved for Docusign.
- `isEnabled` (string, optional) — When **true,** the feature set is actively enabled as part of the plan.
- `name` (string, optional) — Reserved for Docusign.
- `seatFee` (string, optional) — Reserved for Docusign.

### recipientDomain

- `active` (string, optional)
- `domainCode` (string, optional)
- `domainName` (string, optional)
- `recipientDomainId` (string, optional)

### currencyFeatureSetPrice

Information about the price and currency associated with the feature set. Reserved for internal DocuSign use only.

- `currencyCode` (string, optional) — Specifies the alternate ISO currency code for the account.
- `currencySymbol` (string, optional) — Reserved for Docusign.
- `envelopeFee` (string, optional) — Reserved for Docusign.
- `fixedFee` (string, optional) — Reserved for Docusign.
- `seatFee` (string, optional) — Reserved for Docusign.

## Examples

**Request**

```json
{
  "downgradeEventType": "sample string 1",
  "planInformation": {
    "addOns": [
      {
        "active": "sample string 1",
        "addOnId": "sample string 2",
        "id": "sample string 3",
        "name": "sample string 4"
      }
    ],
    "currencyCode": "sample string 1",
    "freeTrialDaysOverride": "sample string 2",
    "planFeatureSets": [
      {
        "currencyFeatureSetPrices": [
          {
            "currencyCode": "sample string 1",
            "currencySymbol": "sample string 2",
            "envelopeFee": "sample string 3",
            "fixedFee": "sample string 4",
            "seatFee": "sample string 5"
          }
        ],
        "envelopeFee": "sample string 1",
        "featureSetId": "sample string 2",
        "fixedFee": "sample string 3",
        "is21CFRPart11": "sample string 4",
        "isActive": "sample string 5",
        "isEnabled": "sample string 6",
        "name": "sample string 7",
        "seatFee": "sample string 8"
      }
    ],
    "planId": "sample string 3",
    "recipientDomains": [
      {
        "active": "sample string 1",
        "domainCode": "sample string 2",
        "domainName": "sample string 3",
        "recipientDomainId": "sample string 4"
      }
    ]
  },
  "promoCode": "sample string 2",
  "saleDiscount": "sample string 3",
  "saleDiscountPeriods": "sample string 4",
  "saleDiscountType": "sample string 5"
}
```

**Response**

```json
{
  "accountPaymentMethod": "sample string 1",
  "discountApplied": "sample string 2",
  "downgradeEffectiveDate": "sample string 3",
  "downgradePaymentCycle": "sample string 4",
  "downgradePlanId": "sample string 5",
  "downgradePlanName": "sample string 6",
  "downgradeRequestStatus": "sample string 7",
  "message": "sample string 8",
  "productId": "sample string 9",
  "promoCode": "sample string 10",
  "saleDiscount": "sample string 11",
  "saleDiscountPeriods": "sample string 12",
  "saleDiscountType": "sample string 13"
}
```